// Copyright 2022, FOSS-VG Developers and Contributers
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU Affero General Public License as published
// by the Free Software Foundation, version 3.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied
// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// version 3 along with this program.
// If not, see https://www.gnu.org/licenses/agpl-3.0.en.html

#include <string>
#include <vector>
#include <iostream>
#include "../lib/nbt.hpp"
#include "../lib/error.hpp"
#include "../lib/javacompat.hpp"

int main() {
    std::cout << "================================================================================" << std::endl;
    std::cout << "NBT write string helper failure mode test" << std::endl;
    std::cout << "================================================================================" << std::endl;
    std::cout << "This is supposed to abort." << std::endl;
    std::vector<uint8_t>* exportedString = new std::vector<uint8_t>();
    std::string overrunString = std::string(0xFFFFF, '.');
    NBT::helper::writeString(exportedString, tiny_utf8::string(overrunString));
}
